API Explorer 1 endpoints

Get Retail Customer by CUSTOMER_ID

GET /obp/v7.0.0/banks/BANK_ID/retail-customers/CUSTOMER_ID

OBPv6.0.0-getRetailCustomerByCustomerId Roles: CanGetCustomersAtOneBank(per bank) Retail-CustomerCustomer

Gets the Retail Customer specified by CUSTOMER_ID.

Returns 404 if the customer exists but is not of type INDIVIDUAL. Use the generic /customers/CUSTOMER_ID endpoint for any customer type.

Date Format: date_of_birth and dob_of_dependants are returned in ISO 8601 date format: YYYY-MM-DD

Authentication is Required

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON response body fields (33)
amount
10.12
bank_id
gh.29.uk
branch_id
DERBY6
currency
EUR
customer_attribute_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_attributes
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
customer_type
INDIVIDUAL
date
2020-01-27
date_of_birth
2018-03-09
dependants
1
dob_of_dependants
[2019-09-08, 2017-07-12]
email
felixsmith@example.com
employment_status
worker
face_image
highest_education_attained
Master
kyc_status
false
last_ok_date
2025-10-21T01:45:31.340Z
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
name
ACCOUNT_MANAGEMENT_FEE
name_suffix
Sr
parent_customer_id
rating
relationship_status
single
source
title
Dr.
type
url
http://www.example.com/id-docs/123/image.png
value
5987953
credit_limit
credit_rating
Example success response
{
  "bank_id": "gh.29.uk",
  "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "customer_number": "5987953",
  "legal_name": "Eveline Tripman",
  "mobile_phone_number": "+44 07972 444 876",
  "email": "felixsmith@example.com",
  "face_image": {
    "url": "www.openbankproject",
    "date": "1100-01-01T00:00:00Z"
  },
  "date_of_birth": "1990-05-15",
  "relationship_status": "single",
  "dependants": 1,
  "dob_of_dependants": [
    "2015-03-20",
    "2018-07-10"
  ],
  "credit_rating": {
    "rating": "OBP",
    "source": "OBP"
  },
  "credit_limit": {
    "currency": "EUR",
    "amount": "0"
  },
  "highest_education_attained": "Master",
  "employment_status": "worker",
  "kyc_status": false,
  "last_ok_date": "2025-10-21T01:45:41Z",
  "title": "Dr.",
  "branch_id": "DERBY6",
  "name_suffix": "Sr",
  "customer_type": "INDIVIDUAL",
  "parent_customer_id": "",
  "customer_attributes": [
    {
      "customer_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "name": "SPECIAL_TAX_NUMBER",
      "type": "STRING",
      "value": "123456789"
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30274: Customer type does not match the endpoint. Use the generic /customers endpoint or the correct type-specific endpoint.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv6.0.0 getRetailCustomerByCustomerId Originally /obp/v6.0.0/banks/BANK_ID/retail-customers/CUSTOMER_ID